Bug 174180 - sysutils/syslinux: Update to version 4.06
Summary: sysutils/syslinux: Update to version 4.06
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2013-01-21 03:45 UTC (History)
0 users

See Also:


Attachments
file.diff (6.00 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff
sysutils_syslinux.diff (7.04 KB, patch)
2012-12-23 17:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:07 UTC
- Update to version 4.06
Comment 1 Marcelo Araujo freebsd_committer 2012-12-11 11:16:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 tkato432 2012-12-23 17:58:38 UTC
Version 5.00 has been released.
Comment 3 dfilter service freebsd_committer 2013-01-21 03:39:31 UTC
Author: araujo
Date: Mon Jan 21 03:39:17 2013
New Revision: 310745
URL: http://svnweb.freebsd.org/changeset/ports/310745

Log:
  - Update to 5.00.
  - Update MASTER_SITES.
  - Add MAKE_JOBS_SAFE.
  - Trim header.
  
  PR:		ports/174180
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/sysutils/syslinux/Makefile   (contents, props changed)
  head/sysutils/syslinux/distinfo   (contents, props changed)
  head/sysutils/syslinux/files/patch-Makefile   (contents, props changed)
  head/sysutils/syslinux/files/patch-libinstaller-syslxopt.c   (contents, props changed)
  head/sysutils/syslinux/pkg-descr   (contents, props changed)
  head/sysutils/syslinux/pkg-plist   (contents, props changed)

Modified: head/sysutils/syslinux/Makefile
==============================================================================
--- head/sysutils/syslinux/Makefile	Mon Jan 21 03:37:56 2013	(r310744)
+++ head/sysutils/syslinux/Makefile	Mon Jan 21 03:39:17 2013	(r310745)
@@ -1,31 +1,26 @@
-# New ports collection makefile for:	syslinux
-# Date created:		Nov.15, 2008
-# Whom:			luigi@FreeBSD.org
-#
-# Maintainers:		Luigi Rizzo <luigi@FreeBSD.org>
+# Created by: luigi@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	syslinux
-PORTVERSION=	4.05
+PORTVERSION=	5.00
 CATEGORIES=	sysutils
-MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
-MASTER_SITE_SUBDIR=	linux/utils/boot/syslinux
+MASTER_SITES=	KERNEL_ORG/linux/utils/boot/syslinux
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Syslinux for FreeBSD
+COMMENT=	Boot loader for the Linux operating system
 
 BUILD_DEPENDS=	nasm:${PORTSDIR}/devel/nasm
 RUN_DEPENDS=	mtools:${PORTSDIR}/emulators/mtools
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-MAN1=		syslinux.1
-
-USE_BZIP2=	yes
-USE_GMAKE=	yes
+USE_XZ=		yes
 USE_PERL5_BUILD=	yes
+USE_GMAKE=	yes
+MAKE_ARGS=	CC="${CC}"
+MAKE_JOBS_SAFE=	yes
+
+MAN1=		syslinux.1
 
 .include <bsd.port.pre.mk>
 
@@ -41,11 +36,15 @@ pre-patch:
 	${FIND} . -type f -exec ${GREP} -le 'elf_i386' \{\} \; | 	\
 		${XARGS} ${REINPLACE_CMD} -e 's/elf_i386/elf_i386_fbsd/g;' )
 
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^UMAKEDEPS|#UMAKEDEPS|' ${WRKSRC}/mk/syslinux.mk
+
 build_pkg-plist:
-	@( ${ECHO} "bin/syslinux"	;		\
+	@( ${ECHO_CMD} "bin/syslinux"	;		\
 	  cd ${WRKSRC}; for i in ${_A} ; do	\
-		${ECHO} share/syslinux/`basename $$i` ; done ; \
-	  ${ECHO} "@dirrm share/syslinux" )
+		${ECHO_CMD} share/syslinux/`basename $$i` ; done ; \
+	  ${ECHO_CMD} "@dirrm share/syslinux" )
 
 do-install:
 	${MKDIR} ${DATADIR}

Modified: head/sysutils/syslinux/distinfo
==============================================================================
--- head/sysutils/syslinux/distinfo	Mon Jan 21 03:37:56 2013	(r310744)
+++ head/sysutils/syslinux/distinfo	Mon Jan 21 03:39:17 2013	(r310745)
@@ -1,2 +1,2 @@
-SHA256 (syslinux-4.05.tar.bz2) = 9093f246038a3671a323bd9dd7eb685338578f67f3da949123c6462e0903c0b8
-SIZE (syslinux-4.05.tar.bz2) = 5486307
+SHA256 (syslinux-5.00.tar.xz) = c0cfdb6a52c233cfd0d23906d60b208f8a06bd29d516cb9fced989a61eac2fe3
+SIZE (syslinux-5.00.tar.xz) = 5097336

Modified: head/sysutils/syslinux/files/patch-Makefile
==============================================================================
--- head/sysutils/syslinux/files/patch-Makefile	Mon Jan 21 03:37:56 2013	(r310744)
+++ head/sysutils/syslinux/files/patch-Makefile	Mon Jan 21 03:39:17 2013	(r310745)
@@ -1,11 +1,11 @@
 --- Makefile.orig	2011-04-18 23:24:17.000000000 +0200
 +++ Makefile	2011-05-05 15:51:44.356358227 +0200
-@@ -52,18 +52,18 @@
+@@ -57,18 +57,18 @@
  # Note: libinstaller is both a BSUBDIR and an ISUBDIR.  It contains
  # files that depend only on the B phase, but may have to be regenerated
  # for "make installer".
--BSUBDIRS = codepage com32 lzo core memdisk modules mbr memdump gpxe sample \
-+BSUBDIRS_ = codepage com32 lzo core memdisk modules mbr memdump gpxe sample \
+-BSUBDIRS = codepage com32 lzo core memdisk mbr memdump gpxe sample \
++BSUBDIRS_ = codepage com32 lzo core memdisk mbr memdump gpxe sample \
  	   diag libinstaller dos win32 win64 dosutil
  ITARGET  =
  IOBJECTS = $(ITARGET) \

Modified: head/sysutils/syslinux/files/patch-libinstaller-syslxopt.c
==============================================================================
--- head/sysutils/syslinux/files/patch-libinstaller-syslxopt.c	Mon Jan 21 03:37:56 2013	(r310744)
+++ head/sysutils/syslinux/files/patch-libinstaller-syslxopt.c	Mon Jan 21 03:39:17 2013	(r310745)
@@ -1,6 +1,6 @@
 --- libinstaller/syslxopt.c.orig	2010-10-20 21:25:38.000000000 +0200
 +++ libinstaller/syslxopt.c	2010-11-16 15:09:16.897550744 +0100
-@@ -44,6 +44,8 @@
+@@ -45,6 +45,8 @@
      .activate_partition = 0,
      .force = 0,
      .bootsecfile = NULL,
@@ -9,7 +9,7 @@
  };
  
  const struct option long_options[] = {
-@@ -57,7 +59,7 @@
+@@ -58,7 +60,7 @@
      {"stupid", 0, NULL, 's'},
      {"heads", 1, NULL, 'H'},
      {"raid-mode", 0, NULL, 'r'},
@@ -18,10 +18,10 @@
      {"help", 0, NULL, 'h'},
      {"once", 1, NULL, OPT_ONCE},
      {"clear-once", 0, NULL, 'O'},
-@@ -65,10 +67,12 @@
-     {"menu-save", 1, NULL, 'M'},
+@@ -67,10 +69,12 @@
      {"mbr", 0, NULL, 'm'},	/* DOS/Win32 only */
      {"active", 0, NULL, 'a'},	/* DOS/Win32 only */
+     {"device", 1, NULL, OPT_DEVICE},
 +    {"verbose", 0, NULL, 'v' },
 +    {"bimage", 1, NULL, 'b' },
      {0, 0, 0, 0}
@@ -32,7 +32,7 @@
  
  void __attribute__ ((noreturn)) usage(int rv, enum syslinux_mode mode)
  {
-@@ -109,7 +113,9 @@
+@@ -112,7 +116,9 @@
  	    "  --raid       -r  Fall back to the next device on boot failure\n"
  	    "  --once=...   %s  Execute a command once upon boot\n"
  	    "  --clear-once -O  Clear the boot-once command\n"
@@ -43,9 +43,9 @@
  	    mode == MODE_SYSLINUX  ? "  " : "-o");
      /*
       * Have to chop this roughly in half for the DOS installer due
-@@ -209,11 +215,17 @@
- 	case 'a':
- 	    opt.activate_partition = 1;
+@@ -217,11 +223,17 @@
+ 		usage(EX_USAGE, mode);
+ 	    opt.device = optarg;
  	    break;
 -	case 'v':
 +	case 'V':

Modified: head/sysutils/syslinux/pkg-descr
==============================================================================
--- head/sysutils/syslinux/pkg-descr	Mon Jan 21 03:37:56 2013	(r310744)
+++ head/sysutils/syslinux/pkg-descr	Mon Jan 21 03:39:17 2013	(r310745)
@@ -1,7 +1,8 @@
 The syslinux program installs a linux bootloader on a FAT-formatted
 filesystem or disk image.
+
 This FreeBSD port can additionally operate on plain files containing
 a FAT image, thus requiring no special privilege. The program relies
 on mtools to perform the manipulation of the FAT filesystem.
 
-WWW: http://syslinux.zytor.com/
+WWW: http://www.syslinux.org/

Modified: head/sysutils/syslinux/pkg-plist
==============================================================================
--- head/sysutils/syslinux/pkg-plist	Mon Jan 21 03:37:56 2013	(r310744)
+++ head/sysutils/syslinux/pkg-plist	Mon Jan 21 03:39:17 2013	(r310745)
@@ -1,14 +1,5 @@
 bin/syslinux
-%%DATADIR%%/mbr.bin
-%%DATADIR%%/gptmbr.bin
-%%DATADIR%%/pxelinux.0
-%%DATADIR%%/isolinux.bin
-%%DATADIR%%/gpxelinux.0
-%%DATADIR%%/memdisk
-%%DATADIR%%/menu.c32
-%%DATADIR%%/vesamenu.c32
 %%DATADIR%%/cat.c32
-%%DATADIR%%/chain.c32
 %%DATADIR%%/cmd.c32
 %%DATADIR%%/config.c32
 %%DATADIR%%/cpuid.c32
@@ -17,22 +8,35 @@ bin/syslinux
 %%DATADIR%%/dmitest.c32
 %%DATADIR%%/elf.c32
 %%DATADIR%%/ethersel.c32
+%%DATADIR%%/gptmbr.bin
 %%DATADIR%%/gpxecmd.c32
+%%DATADIR%%/gpxelinux.0
+%%DATADIR%%/hexdump.c32
 %%DATADIR%%/host.c32
 %%DATADIR%%/ifcpu.c32
 %%DATADIR%%/ifcpu64.c32
+%%DATADIR%%/ifmemdsk.c32
 %%DATADIR%%/ifplop.c32
+%%DATADIR%%/isolinux.bin
 %%DATADIR%%/kbdmap.c32
+%%DATADIR%%/kontron_wdt.c32
 %%DATADIR%%/linux.c32
 %%DATADIR%%/ls.c32
+%%DATADIR%%/mbr.bin
+%%DATADIR%%/memdisk
 %%DATADIR%%/meminfo.c32
+%%DATADIR%%/menu.c32
 %%DATADIR%%/pcitest.c32
 %%DATADIR%%/pmload.c32
+%%DATADIR%%/prdhcp.c32
 %%DATADIR%%/pwd.c32
+%%DATADIR%%/pxechn.c32
+%%DATADIR%%/pxelinux.0
 %%DATADIR%%/reboot.c32
 %%DATADIR%%/sanboot.c32
 %%DATADIR%%/sdi.c32
 %%DATADIR%%/vesainfo.c32
+%%DATADIR%%/vesamenu.c32
 %%DATADIR%%/vpdtest.c32
 %%DATADIR%%/whichsys.c32
 %%DATADIR%%/zzjson.c32
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Marcelo Araujo freebsd_committer 2013-01-21 03:45:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!